Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Cairo - A vector graphics library.
Name:		cairo
Version:	1.10.2
Release:	2
License:	LGPL/MPL
URL:		http://cairographics.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
# Do not use server-side gradients. It hurts performance, and causes bad rendering on at least nvidia.
# Gentoo Bug 336696.
Patch0:		cairo-1.10.0-buggy_gradients.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires: 	/sbin/ldconfig

BuildRequires: 	libxml2-devel
# this is a circular dependency : build cairo - libspectre - cairo to solve
BuildRequires:  libspectre-devel
# this is a circular dependency : build cairo - poppler - cairo to solve
BuildRequires:  poppler-devel
BuildRequires:  poppler-glib-devel
# this is a circular dependency : build cairo - librsvg - cairo to solve
BuildRequires:  librsvg-devel
# this is a circular dependency : build cairo - gtk2+ - cairo to solve
BuildRequires:	gtk2+-devel

BuildRequires:  qt4-devel

BuildRequires:	mesa-libGL-devel
BuildRequires: glib-devel

BuildRequires: binutils-devel

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description 
Cairo is a vector graphics library designed to provide high-quality
display and print output. Currently supported output targets include
the X Window System, OpenGL (via glitz), in-memory image buffers, and
image files (PDF, PostScript, and SVG).  Cairo is designed to produce
identical output on all output media while taking advantage of display
hardware acceleration when available (eg. through the X Render
Extension or OpenGL).

%package devel
Summary: 	Cairo developmental libraries and header files
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	libXrender-devel
Requires: 	libpng-devel
Requires: 	freetype-devel
Requires: 	fontconfig-devel
Requires: 	pkg-config
Requires: 	pixman-devel

%description devel
Developmental libraries and header files required for developing or
compiling software which links to the cairo library, which is an open
source vector graphics library.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch0 -p0

%build
%configure \
--disable-static \
--enable-xlib \
--enable-ps \
--enable-pdf \
--enable-svg \
--disable-gtk-doc \
--enable-xml \
--enable-gl \
--enable-qt \
--enable-xcb \
--enable-xlib-xcb \
--enable-tee
#--enable-xcb-drm 
#--enable-drm-xr


make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols off of binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root,-)
%doc AUTHORS BIBLIOGRAPHY BUGS ChangeLog COPYING COPYING-LGPL-2.1 COPYING-MPL-1.1 NEWS PORTING_GUIDE README
%{_libdir}/libcairo.so.*
%{_libdir}/cairo/libcairo-trace.so.*
%{_libdir}/libcairo-gobject.so.*
%{_libdir}/libcairo-script-interpreter.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/cairo
%{_libdir}/libcairo.la
%{_libdir}/libcairo.so
%{_pkgconfig}/cairo-fc.pc
%{_pkgconfig}/cairo-ft.pc
%{_pkgconfig}/cairo-gobject.pc
%{_pkgconfig}/cairo.pc
%{_pkgconfig}/cairo-pdf.pc
%{_pkgconfig}/cairo-png.pc
%{_pkgconfig}/cairo-ps.pc
%{_pkgconfig}/cairo-svg.pc
%{_pkgconfig}/cairo-tee.pc
%{_pkgconfig}/cairo-xcb.pc
%{_pkgconfig}/cairo-xcb-shm.pc
%{_pkgconfig}/cairo-xlib.pc
%{_pkgconfig}/cairo-xlib-xrender.pc
%{_pkgconfig}/cairo-gl.pc
%{_pkgconfig}/cairo-glx.pc
%{_pkgconfig}/cairo-qt.pc
%{_pkgconfig}/cairo-xlib-xcb.pc
%{_pkgconfig}/cairo-xml.pc
%{_datadir}/gtk-doc/html/cairo
%{_bindir}/cairo-trace
%{_libdir}/cairo/libcairo-trace.la
%{_libdir}/cairo/libcairo-trace.so
%{_libdir}/libcairo-gobject.la
%{_libdir}/libcairo-gobject.so
%{_libdir}/libcairo.la
%{_libdir}/libcairo-script-interpreter.la
%{_libdir}/libcairo-script-interpreter.so
%{_libdir}/libcairo.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 27 2011  Karsten Brockmann <arcam@ccux-linux.de> 1.10.2-2
- enabled tee support
* Tue Dec 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.10.2-1
- Version update
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.10.0-2
- rebuilt
* Mon Sep 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.10.0-1
- Version update
* Tue Mar 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.10-1
- Version update
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.8.8-1
- Version update
- enabled xcb support
* Thu Dec 18 2008 Christian Wasem <wasem@ccux-linux.de> 1.8.6-1
- Version update
* Sat Nov 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.8.2-1
- Version update
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-1
- Version update
* Mon Apr 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.4-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.8-1
- Version update
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.4-1
- Version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.4.12-1
- Version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.10-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.8-1
- Version update
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.0-2
- clean buildchain, disabled static
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.6-2
- clean rebuild
* Tue Nov 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-1
- Version update
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.4-2
- Adjusted requires for xorg 7.1
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version update
* Thu Aug 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Mon May 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- added BuildRequires
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.4-1
- Version update
* Wed Oct 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Version update
* Sun Jul 10 2005 Christian Wasem <wasem@ccux-linux.de> 0.5.1-1
- update to Version 0.5.1
